<div class="common-profile-header">{{ 'labelChangePassword' | translate:lang }}</div>
<div class="col-md-6 mt-3">
  <form [formGroup]="changePasswordForm">
    <mat-form-field class="form-full-width mb-3" appearance="outline">
      <mat-label>{{ 'LABEL_CURRENT_PASSWORD' | translate:lang }}</mat-label>
      <input matInput [placeholder]="'LABEL_CURRENT_PASSWORD' | translate:lang" (keyup)="showOldPasswordRules()" type="password"
        formControlName="oldPassword" (focusout)="hideOldPasswordRule()" required (input)="validateCurrentPassword($event)"/>
      <span class="password-hint" *ngIf="oldPassword === true && changePasswordForm.controls['oldPassword'].invalid">
        <app-password-rule></app-password-rule>
      </span>
      <mat-hint *ngIf="(changePasswordForm.controls['oldPassword'].invalid && (changePasswordForm.controls['oldPassword'].dirty || changePasswordForm.controls['oldPassword'].touched))">
        <mat-error *ngIf="changePasswordForm.controls['oldPassword'].errors.required">
          {{'errorRequired' | translate: lang}}
        </mat-error>
        <mat-error *ngIf="changePasswordForm.controls['oldPassword'].errors.pattern">
          {{'errorPasswordCriteria' | translate: lang}}
        </mat-error>
      </mat-hint>
    </mat-form-field>
    
    <mat-form-field class="form-full-width mb-3" appearance="outline">
      <mat-label>{{ 'placeholderNewPassword' | translate:lang }}</mat-label>
      <input matInput [placeholder]="'placeholderNewPassword' | translate:lang" (keyup)="showConfirmPasswordRules()"
        type="password" formControlName="newPassword" required (focusout)="hideConfirmPasswordRule()" required (input)="validateNewPassword($event)" />
      <span class="password-hint" *ngIf="confirmPassword === true  && changePasswordForm.controls['newPassword'].invalid">
        <app-password-rule></app-password-rule>
      </span>
      <mat-hint *ngIf="(changePasswordForm.controls['newPassword'].invalid && (changePasswordForm.controls['newPassword'].dirty || changePasswordForm.controls['newPassword'].touched) || isNewPasswordError)">
        <mat-error *ngIf="changePasswordForm.controls['newPassword'].errors?.required">
          {{'errorRequired' | translate: lang}}
        </mat-error>
        <mat-error *ngIf="changePasswordForm.controls['newPassword'].errors?.pattern">
          {{'errorPasswordCriteria' | translate: lang}}
        </mat-error>
        <mat-error *ngIf="isNewPasswordError && changePasswordForm.controls['newPassword'].value.length > 0">
          {{'errorNewPassword' | translate: lang}}
        </mat-error>
      </mat-hint>
    </mat-form-field>

    <mat-form-field class="form-full-width mb-2" appearance="outline">
      <mat-label>{{'placeholderConfirmPassword' | translate:lang}}</mat-label>
      <input matInput validateEqual="newPassword" [placeholder]="'placeholderConfirmPassword' | translate:lang" type="password"
        formControlName="confirmPassword" required (input)="validateConfirmPassword($event)" />
      <mat-hint *ngIf="(changePasswordForm.controls['confirmPassword'].invalid && (changePasswordForm.controls['confirmPassword'].dirty || changePasswordForm.controls['confirmPassword'].touched))">
        <mat-error *ngIf="changePasswordForm.controls['confirmPassword'].value.length > 0" [hidden]="changePasswordForm.controls['confirmPassword'].valid || (changePasswordForm.controls['confirmPassword'].pristine && !changePasswordForm.controls['confirmPassword'].touched)">
          {{'errorPasswordMatch' | translate: lang}}
        </mat-error>
        <mat-error *ngIf="isConfirmPasswordError">
          {{'errorConfirmPassword' | translate: lang}}
        </mat-error>
        <mat-error *ngIf="changePasswordForm.controls['confirmPassword'].errors?.required">
          {{'errorRequired' | translate: lang}}
        </mat-error>
      </mat-hint>
    </mat-form-field>
    <div class="mb-3">
    <mat-checkbox formControlName="tokenFlag"> <span class="label-text">{{'lableLogoutOtherDevice' | translate: lang}}</span></mat-checkbox>
  </div>
    <button type="button" (click)="onSubmit()" mat-raised-button color="primary" [disabled]="!changePasswordForm.valid"
      color="primary">{{'buttonSubmit' | translate: lang}}</button>
  </form>
</div>